Skip to content

Test NTRIP caster credentials​

POST
/devices/{id}/rtk/ntrip/test

Test credentials by opening a live connection to the caster without storing them. Verifies authentication and optionally checks for RTCM data coverage.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request Body​

application/json
JSON
{
  
"alt": 0,
  
"host": "string",
  
"lat": 0,
  
"lng": 0,
  
"mountpoint": "string",
  
"password": "string",
  
"port": 0,
  
"username": "string"
}

Request example

Responses​

Status OK with receivedData indicator

application/json
JSON
{
  
"additionalProperties": null
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body